itpp::Audio_Sample< enc_double > Class Reference
Source Coding Module » Audio

Audio samples encoded as doubles. More...

`#include <itpp/srccode/audiosample.h>`

## Public Types

typedef double | enc_sample_type

## Static Public Member Functions

static enc_sample_type | encode (const double &s)
static double | decode (const enc_sample_type &s)

## Static Public Attributes

static const std::size_t | enc_sample_size = sizeof(enc_sample_type)

## Detailed Description

Audio samples encoded as doubles.

Samples are NOT saturated to +/- 1.0 during conversion to this format.

Definition at line 272 of file audiosample.h.

## Member Typedef Documentation

## enc_sample_type

typedef double itpp::Audio_Sample< enc_double >::enc_sample_type

Definition at line 275 of file audiosample.h.

## Member Function Documentation

## encode()

static enc_sample_type itpp::Audio_Sample< enc_double >::encode | ( | const double & | s | ) |

inline static

Definition at line 277 of file audiosample.h.

## decode()

static double itpp::Audio_Sample< enc_double >::decode | ( | const enc_sample_type & | s | ) |

inline static

Definition at line 278 of file audiosample.h.

## Member Data Documentation

## enc_sample_size

const std::size_t itpp::Audio_Sample< enc_double >::enc_sample_size = sizeof(enc_sample_type)

static

Definition at line 276 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8